Bug 234877 - www/searx: update to 0.15.0
Summary: www/searx: update to 0.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 16:16 UTC by Piotr Kubaj
Modified: 2019-01-27 09:51 UTC (History)
2 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
patch (1.12 KB, patch)
2019-01-11 16:16 UTC, Piotr Kubaj
no flags Details | Diff
testport log (285.59 KB, text/plain)
2019-01-11 16:52 UTC, Piotr Kubaj
no flags Details
v2 (1.25 KB, patch)
2019-01-25 23:05 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-01-11 16:16:48 UTC
Created attachment 201034 [details]
patch

Update to 0.15.0.

Tested on Poudriere on 11.2-RELEASE.
Comment 1 loic.blot 2019-01-11 16:20:23 UTC
Hello Piotr,
can you provide the testport output please ?

Diff sounds okay to me
Comment 2 Piotr Kubaj freebsd_committer 2019-01-11 16:52:37 UTC
Created attachment 201035 [details]
testport log
Comment 3 Jochen Neumeister freebsd_committer 2019-01-24 11:47:21 UTC
can you pls check with "portlint -AC"?


www/searx % portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
FATAL: Makefile: DISTVERSIONPREFIX appears out-of-order.
FATAL: Makefile: order must be PORTNAME/PORTVERSION/DISTVERSIONPREFIX/DISTVERSION/DISTVERSIONSUFFIX/PORTREVISION/PORTEPOCH/CATEGORIES/MASTER_SITES/MASTER_SITE_SUBDIR/PROJECTHOST/PKGNAMEPREFIX/PKGNAMESUFFIX/DISTNAME/EXTRACT_SUFX/DISTFILES/DIST_SUBDIR/EXTRACT_ONLY.
WARN: Makefile: extra item placed in the USES/USE_x section, for example, "NO_ARCH".
2 fatal errors and 2 warnings found.
Comment 4 Piotr Kubaj freebsd_committer 2019-01-25 23:05:18 UTC
Created attachment 201405 [details]
v2

Is that ok?
Comment 5 commit-hook freebsd_committer 2019-01-27 09:50:56 UTC
A commit references this bug:

Author: joneum
Date: Sun Jan 27 09:49:57 UTC 2019
New revision: 491335
URL: https://svnweb.freebsd.org/changeset/ports/491335

Log:
  Update to 0.15.0

  - switch to GitHub
  - pet portlint

  Changelog: https://github.com/asciimoo/searx/releases/tag/v0.15.0

  PR:		234877
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	loic.blot@unix-experience.fr (maintainer)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/searx/Makefile
  head/www/searx/distinfo